<template>
  <div class="error" v-show="companyDataErrors[fieldName] !== '' && companyDataErrors[fieldName] !== undefined">
    <div class="error__arrow"/>
    <div class="error__message">
      {{companyDataErrors[fieldName]}}
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';

export default {
  name: "ErrorMessage",
  props: {
    fieldName: String,
  },
  computed: {
    ...mapGetters(['companyDataErrors']),
  }
}
</script>

<style lang="scss" scoped>
  @import 'Styles/components/error.scss';
</style>

